/*
 * statusbits.c: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#include <vdr/plugin.h>

#include "status.h"

static const char *VERSION        = "0.0.1";
static const char *DESCRIPTION    = "Enter description for 'statusbits' plugin";
static const char *MAINMENUENTRY  = "Statusbits";

class cPluginStatusbits : public cPlugin
{
private:
	// Add any member variables or functions you may need here.
	cSbStatus * status;
public:
	cPluginStatusbits(void);
	virtual ~cPluginStatusbits();
	virtual const char *Version(void) { return VERSION; }
	virtual const char *Description(void) { return DESCRIPTION; }
	virtual const char *CommandLineHelp(void);
	virtual bool ProcessArgs(int argc, char *argv[]);
	virtual bool Initialize(void);
	virtual bool Start(void);
	virtual void Housekeeping(void);
	virtual const char *MainMenuEntry(void) { return MAINMENUENTRY; }
	virtual cOsdObject *MainMenuAction(void);
	virtual cMenuSetupPage *SetupMenu(void);
	virtual bool SetupParse(const char *Name, const char *Value);
};

cPluginStatusbits::cPluginStatusbits(void)
:	status(NULL)
{
	// Initialize any member variables here.
	// DON'T DO ANYTHING ELSE THAT MAY HAVE SIDE EFFECTS, REQUIRE GLOBAL
	// VDR OBJECTS TO EXIST OR PRODUCE ANY OUTPUT!
}

cPluginStatusbits::~cPluginStatusbits()
{
	// Clean up after yourself!
	delete status;
}

const char *cPluginStatusbits::CommandLineHelp(void)
{
	// Return a string that describes all known command line options.
	return NULL;
}

bool cPluginStatusbits::ProcessArgs(int argc, char *argv[])
{
	// Implement command line argument processing here if applicable.
	return true;
}

bool cPluginStatusbits::Initialize(void)
{
	// Initialize any background activities the plugin shall perform.
	return true;
}

bool cPluginStatusbits::Start(void)
{
	// Start any background activities the plugin shall perform.
	status = new cSbStatus();
	return true;
}

void cPluginStatusbits::Housekeeping(void)
{
	// Perform any cleanup or other regular tasks.
}

cOsdObject *cPluginStatusbits::MainMenuAction(void)
{
	// Perform the action when selected from the main VDR menu.
	return NULL;
}

cMenuSetupPage *cPluginStatusbits::SetupMenu(void)
{
	// Return a setup menu in case the plugin supports one.
	return NULL;
}

bool cPluginStatusbits::SetupParse(const char *Name, const char *Value)
{
	// Parse your own setup parameters and store their values.
	return false;
}

VDRPLUGINCREATOR(cPluginStatusbits); // Don't touch this!
